petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscViewerStringSetString

sets the string that a string viewer will print to

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerStringSetString(PetscViewer viewer,char string[],size_t len)

Logically Collective on PetscViewer

### Input Parameters

| viewer | - string viewer you wish to attach string to
| string | - the string to print data into
| len | - the length of the string

Notes: The function does not copy the string, it uses it directly therefore you cannot free the string until the viewer is destroyed. If you call PetscViewerStringSetOwnString() the ownership passes to the viewer and it will be responsable for freeing it. In this case the string must be obtained with PetscMalloc().

### See Also

PetscViewerStringOpen(), PETSCVIEWERSTRING, PetscViewerStringGetStringRead(), PetscViewerStringSPrintf(),
PetscViewerStringSetOwnString()

### Level

advanced

### Location

src/sys/classes/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages